TreeNode Class Reference

## Public Member Functions

| TreeNode (iterator begin, iterator end, size_t varCount)
| ~TreeNode ()
void | makeTree ()
bool | isRedundant (const Exponent *term)
void | collect (vector< Exponent * > &terms)
void | print (FILE *out)

## Private Types

typedef vector< Exponent * >::iterator | iterator

## Private Attributes

TreeNode * | _lessOrEqual
TreeNode * | _greater
size_t | _var
Exponent | _pivot
size_t | _varCount
iterator | _begin
iterator | _end

## Detailed Description

Definition at line 78 of file Minimizer.cpp.

## Member Typedef Documentation

## iterator

typedef vector<Exponent*>::iterator TreeNode::iterator

private

Definition at line 79 of file Minimizer.cpp.

## Constructor & Destructor Documentation

## TreeNode()

TreeNode::TreeNode | ( | iterator | begin,
|  | iterator | end,
|  | size_t | varCount )

inline

Definition at line 82 of file Minimizer.cpp.

## ~TreeNode()

TreeNode::~TreeNode | ( |  | ) |

inline

Definition at line 92 of file Minimizer.cpp.

## Member Function Documentation

## collect()

void TreeNode::collect | ( | vector< Exponent * > & | terms | ) |

inline

Definition at line 177 of file Minimizer.cpp.

## isRedundant()

bool TreeNode::isRedundant | ( | const Exponent * | term | ) |

inline

Definition at line 156 of file Minimizer.cpp.

## makeTree()

void TreeNode::makeTree | ( |  | ) |

inline

Definition at line 97 of file Minimizer.cpp.

## print()

void TreeNode::print | ( | FILE * | out | ) |

inline

Definition at line 200 of file Minimizer.cpp.

## Member Data Documentation

## _begin

iterator TreeNode::_begin

private

Definition at line 235 of file Minimizer.cpp.

## _end

iterator TreeNode::_end

private

Definition at line 236 of file Minimizer.cpp.

## _greater

TreeNode* TreeNode::_greater

private

Definition at line 230 of file Minimizer.cpp.

## _lessOrEqual

TreeNode* TreeNode::_lessOrEqual

private

Definition at line 229 of file Minimizer.cpp.

## _pivot

Exponent TreeNode::_pivot

private

Definition at line 232 of file Minimizer.cpp.

## _var

size_t TreeNode::_var

private

Definition at line 231 of file Minimizer.cpp.

## _varCount

size_t TreeNode::_varCount

private

Definition at line 233 of file Minimizer.cpp.

The documentation for this class was generated from the following file:

- src/Minimizer.cpp